Commit 634c5392 authored by incardon's avatar incardon

Fixing PETSC installation

parent 30add534
......@@ -237,9 +237,10 @@ if [ ! -d "$i_dir/PETSC" -o ! -d "$i_dir/EIGEN" ]; then
else
# we check that python is python2
py_ver=$(python --version 2>&1 | grep Python | sed 's/.*\([0-9][0-9]*\)\.\([0-9][0-9]*\)\.\([0-9][0-9]*\)/\1/g')
if [ $py_ver -eq 3 ]; then
# we have to install python2
echo -e "\033[1mPETSC require python2 installed, searching a solution to install python2 ... \033[0m"
solve_python $platform
fi
python_command=python
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment